org.apache.hc.client5.http.protocol

## Class ResponseProcessCookies

- java.lang.Object
- - org.apache.hc.client5.http.protocol.ResponseProcessCookies

All Implemented Interfaces:
  org.apache.hc.core5.http.HttpResponseInterceptor

    @Contract(threading=STATELESS)
    public class ResponseProcessCookies
    extends Object
    implements org.apache.hc.core5.http.HttpResponseInterceptor

Response interceptor that populates the current `CookieStore` with data contained in response cookies received in the given the HTTP response.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`ResponseProcessCookies()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.EntityDetails entity, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseProcessCookies

    public ResponseProcessCookies()

### Method Detail

#### process

    public void process(org.apache.hc.core5.http.HttpResponse response,
                        org.apache.hc.core5.http.EntityDetails entity,
                        org.apache.hc.core5.http.protocol.HttpContext context)
                 throws org.apache.hc.core5.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.hc.core5.http.HttpResponseInterceptor`
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`